﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Syncfusion.EJ2.Base;
using SyncFusionGridIssues.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace SyncFusionGridIssues.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public async Task<IActionResult> Index()
        {
            try
            {
                var users = new List<UserData>() {
                    new UserData { Id = Guid.NewGuid(),FirstName = "Surendra" ,LastName = "Rathod" ,EmailAddress = "surendra@gmail.com"},
                    new UserData { Id = Guid.NewGuid(),FirstName = "Surendra1" ,LastName = "Rathod1" ,EmailAddress = "surendra1@gmail.com"},
                    new UserData { Id = Guid.NewGuid(),FirstName = "Shilpa" ,LastName = "Rathod" ,EmailAddress = "shilpa@gmail.com"},
                    new UserData { Id = Guid.NewGuid(),FirstName = "Shilpa1" ,LastName = "Rathod1" ,EmailAddress = "Shilpa1@gmail.com"},
                };
                ViewBag.datasource = users.ToArray();
                return View();
            }
            catch (Exception ex)
            {
                _logger.LogError(ex.Message, ex);
                throw;
            }
        }

        public IActionResult Insert()
        {
            return View();
        }

        public IActionResult Update()
        {
            return View();
        }

        public IActionResult Delete()
        {
            return View();
        }
    }

    public class UserData
    {
        public Guid Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmailAddress { get; set; }
    }
}
